/////////////////////////////////////////////////////////
//                                                     //
//      EDWIN ROMANCE MOD : EDWIN LOVE TALK            //
//                                                     //
/////////////////////////////////////////////////////////


//EDWIN28 YES YES I SEE
//EDWIN29 ONE DAY...ONE DAY
//EDWIN30 IF I MUST
//EDWIN32 A WASTE OF MY TALENTS
//EDWIN34 VERY WELL
//EDWIN24 I AM BUSY OK ? I AM BUSY
//EDWIN23 GO BOTHER SOMEONE ELSE
//EDWIN22 WHAT IS IT NOW?
//EDWIN21 YEES!?
//EDWIN25 HAVE YOU NOTHING ELSE TO DO BUT BOTHER ME?
//EDWIN27 OH ALL RIGHT!


APPEND BEDWIN

///Edwin Lovetalk 16
IF WEIGHT #-85 ~Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",32) Gender("Edwin",MALE) !StateCheck(Player1,STATE_SLEEPING)~
THEN BEGIN E87
   SAY @0
   IF ~~ THEN REPLY @1 GOTO E88
   IF ~~ THEN REPLY @2 GOTO E88
   IF ~~ THEN REPLY @3 GOTO E88
END

IF ~~ THEN BEGIN E88
   SAY @4
   IF ~~ THEN GOTO E89
   IF ~IsValidForPartyDialog("Anomen")~ THEN EXTERN BANOMEN EDDIE_ANO3
END

IF ~~ THEN BEGIN AFTER_ANO
   SAY @5
   IF ~~ THEN GOTO E89
END

IF ~~ THEN BEGIN E89
   SAY @6
   IF ~~ THEN REPLY @7 GOTO E90
   IF ~~ THEN REPLY @8 GOTO E89EYES
   IF ~~ THEN REPLY @9 GOTO E90
END

IF ~~ THEN BEGIN E89EYES
   SAY @10
   IF ~~ THEN REPLY @11 GOTO E89EYES1
   IF ~~ THEN REPLY @12 GOTO E89EYES1
   IF ~~ THEN REPLY @13 GOTO E90
END

IF ~~ THEN BEGIN E89EYES1
   SAY @14
   IF ~~ THEN REPLY @15 GOTO E89THREAT
   IF ~~ THEN REPLY @16 GOTO E90
END

IF ~~ THEN BEGIN E89THREAT
   SAY @17
   IF ~~ THEN REPLY @18 GOTO E89SORRY
   IF ~~ THEN REPLY @19 GOTO E89SORRY
   IF ~~ THEN REPLY @20 GOTO E90
END

IF ~~ THEN BEGIN E89SORRY
   SAY @21
   IF ~~ THEN REPLY @22 GOTO E90
   IF ~~ THEN REPLY @23 GOTO E90
   IF ~~ THEN REPLY @24 GOTO E89DUMPEDDIE
END

IF ~~ THEN BEGIN E89DUMPEDDIE
   SAY @25
IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)
RestParty()~ EXIT
END

IF ~~ THEN BEGIN E90
   SAY @26
   IF ~~ THEN REPLY @27 GOTO E91
   IF ~~ THEN REPLY @28 GOTO E96
   IF ~~ THEN REPLY @29 GOTO E91
END

IF ~~ THEN BEGIN E91
   SAY @30
   IF ~~ THEN REPLY @31 GOTO E91SEXY
   IF ~~ THEN REPLY @32 GOTO E91SEXY
   IF ~~ THEN REPLY @33 GOTO E91HOTKISS
   IF ~~ THEN REPLY @34 GOTO E91REPULSIVE
END

IF ~~ THEN BEGIN E91HOTKISS
  SAY @35
  IF ~~ THEN REPLY @36 GOTO E92
  IF ~~ THEN REPLY @37 GOTO E93
  IF ~~ THEN REPLY @38 GOTO E93
  IF ~~ THEN REPLY @39 GOTO E93
  IF ~~ THEN REPLY @40 GOTO E94
  IF ~~ THEN REPLY @41 GOTO E95
END

IF ~~ THEN BEGIN E91REPULSIVE
   SAY @42
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("EdwinRomanceActive","GLOBAL",3)
	EscapeArea()
        RestParty()~
	EXIT
END

IF ~~ THEN BEGIN E91SEXY
   SAY@43
   IF ~~ THEN REPLY @44 GOTO E91FIT
   IF ~~ THEN REPLY @45 GOTO E91HOTKISS
   IF ~~ THEN REPLY @46 GOTO E91DIPLOMACY
END

IF ~~ THEN BEGIN E91FIT
   SAY @47
   IF ~~ THEN REPLY @48 GOTO E91DIPLOMACY
END

IF ~~ THEN BEGIN E91DIPLOMACY
   SAY @49
   IF ~~ THEN REPLY @50 GOTO E91BET
END

IF ~~ THEN BEGIN E91BET
   SAY @51
   IF ~~ THEN REPLY @52 GOTO EKISSCONTEST
   IF ~~ THEN REPLY @53 GOTO E91HOTKISS
   IF ~~ THEN REPLY @54 GOTO EKISSCONTEST
   IF ~~ THEN REPLY @55 GOTO E95
   IF ~~ THEN REPLY @56 GOTO ENEVERAGAIN
END

IF ~~ THEN BEGIN ENEVERAGAIN
   SAY @57
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("EdwinRomanceActive","GLOBAL",3)
	EscapeArea()
        RestParty()~
	EXIT
END

IF ~~ THEN BEGIN EKISSCONTEST
   SAY @58
   IF ~~ THEN REPLY @59 GOTO EITSATIE
   IF ~~ THEN REPLY @60 GOTO E91HOTKISS
END

IF ~~ THEN BEGIN EITSATIE
   SAY @35
   IF ~~ THEN REPLY @35 GOTO EITSATIE2
END

IF ~~ THEN BEGIN EITSATIE2
   SAY @61
   IF ~~ THEN REPLY @62 GOTO EITSATIE3
END

IF ~~ THEN BEGIN EITSATIE3
   SAY @63
   IF ~~ THEN REPLY @64 GOTO EITSATIE4
   IF ~~ THEN REPLY @65 GOTO EITSATIE4
   IF ~~ THEN REPLY @66 GOTO EITSATIE5
END

IF ~~ THEN BEGIN EITSATIE4
   SAY @67
   IF ~~ THEN REPLY @68 GOTO ETWOOUTOFTHREE
END

IF ~~ THEN BEGIN EITSATIE5
   SAY @69
   IF ~~ THEN GOTO ETWOOUTOFTHREE
END

IF ~~ THEN BEGIN ETWOOUTOFTHREE
   SAY @70
   IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",2)
   RestParty()~ EXIT
END

IF ~~ THEN BEGIN E92
   SAY @71
   IF ~~ THEN REPLY @37 GOTO E93
   IF ~~ THEN REPLY @38 GOTO E93
   IF ~~ THEN REPLY @39 GOTO E93
   IF ~~ THEN REPLY @40 GOTO E94
   IF ~~ THEN REPLY @41 GOTO E95
END

IF ~~ THEN BEGIN E93
   SAY @72
   IF ~~ THEN REPLY @73 GOTO EHOTLIPS
END

IF ~~ THEN BEGIN EHOTLIPS
   SAY @74
   IF ~~ THEN GOTO ETWOOUTOFTHREE
END

IF ~~ THEN BEGIN E94
   SAY @75
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("EdwinRomanceActive","GLOBAL",3)
	EscapeArea()
        RestParty()~
	EXIT
END

IF ~~ THEN BEGIN E95
   SAY @76
   IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)
   RestParty()~ EXIT
END

IF ~~ THEN BEGIN E96
   SAY @77
   IF ~~ THEN REPLY @78 GOTO E96GOTYA
   IF ~~ THEN REPLY @79 GOTO E96GOTYA
   IF ~~ THEN REPLY @80 GOTO E95
   IF ~~ THEN REPLY @81 GOTO E96GOTYA
END

IF ~~ THEN BEGIN E96GOTYA
   SAY @82
   IF ~~ THEN REPLY @83 GOTO E96DENIAL
   IF ~~ THEN REPLY @84 GOTO E91HOTKISS
   IF ~~ THEN REPLY @85 GOTO E91HOTKISS
   IF ~~ THEN REPLY @86 GOTO E89DUMPEDDIE
END

IF ~~ THEN BEGIN E96DENIAL
   SAY @87
   IF ~~ THEN REPLY @88 GOTO E96CHILDISH
   IF ~~ THEN REPLY @89 GOTO E91HOTKISS
   IF ~~ THEN REPLY @90 GOTO E89DUMPEDDIE
END

IF ~~ THEN BEGIN E96CHILDISH
   SAY @91
   IF ~~ THEN REPLY @92 GOTO E96CHILDISH2
   IF ~~ THEN REPLY @93 GOTO E91HOTKISS
   IF ~~ THEN REPLY @94 GOTO E89DUMPEDDIE
END

IF ~~ THEN BEGIN E96CHILDISH2
   SAY @95
   IF ~~ THEN REPLY @96 GOTO E96CHILDISH3
   IF ~~ THEN REPLY @97 GOTO E96CHILDISH3
   IF ~~ THEN REPLY @98 GOTO E91HOTKISS
   IF ~~ THEN REPLY @94 GOTO E89DUMPEDDIE
END

IF ~~ THEN BEGIN E96CHILDISH3
   SAY @99
   IF ~~ THEN REPLY @100 GOTO E96LIARLIAR
   IF ~~ THEN REPLY @101 GOTO E96LIARLIAR
   IF ~~ THEN REPLY @102 GOTO E96LIARLIAR
END

IF ~~ THEN BEGIN E96LIARLIAR
   SAY @103
   IF ~~ THEN REPLY @104 GOTO E96TRUTH
   IF ~~ THEN REPLY @105 GOTO E96TRUTH
   IF ~~ THEN REPLY @106 GOTO E96TRUTH
END

IF ~~ THEN BEGIN E96TRUTH
   SAY @107
   IF ~~ THEN REPLY @108 GOTO EKISSCONTEST
   IF ~~ THEN REPLY @53 GOTO E91HOTKISS
   IF ~~ THEN REPLY @54 GOTO EKISSCONTEST
   IF ~~ THEN REPLY @55 GOTO E95
   IF ~~ THEN REPLY @109 GOTO ENEVERAGAIN
END

IF ~~ THEN BEGIN E97
   SAY @110
   IF ~~ THEN REPLY @111 EXTERN BANOMEN ANOMEN_LEAVES
   IF ~~ THEN REPLY @112 EXTERN BANOMEN ANOMEN_STAYS
   IF ~~ THEN REPLY @113  GOTO E98
   IF ~~ THEN REPLY @114 GOTO ENEVERAGAIN
END

IF ~~ THEN BEGIN E98
   SAY @115
   IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)
   RestParty()~ EXIT
END

///Edwin Lovetalk 17
IF WEIGHT #-84 ~Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",34) Gender("Edwin",MALE) !StateCheck(Player1,STATE_SLEEPING)~
THEN BEGIN E99
   SAY @116
   IF ~~ THEN REPLY @117 GOTO E100
END

IF ~~ THEN BEGIN E100
   SAY @118
   IF ~~ THEN REPLY @119 GOTO E101
   IF ~~ THEN REPLY @120 GOTO E101
   IF ~~ THEN REPLY @121 GOTO E101
   IF ~~ THEN REPLY @122 GOTO E102
   IF ~~ THEN REPLY @123 GOTO E101
   IF ~~ THEN REPLY @124 GOTO E101
END

IF ~~ THEN BEGIN E101
   SAY @125
   IF ~~ THEN REPLY @126 GOTO E101STUPID
   IF ~~ THEN REPLY @127 GOTO E103
   IF ~~ THEN REPLY @128 GOTO E101STUPID
   IF ~~ THEN REPLY @129 GOTO E103
END

IF ~~ THEN BEGIN E101STUPID
   SAY @130
   IF ~~ THEN REPLY @131 GOTO E101SMILE
   IF ~~ THEN REPLY @132 GOTO E103
   IF ~~ THEN REPLY @133 GOTO E101AERIE
   IF ~~ THEN REPLY @134 GOTO E101SLUG
END

IF ~~ THEN BEGIN E101SLUG
   SAY @135
   IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN E101AERIE
   SAY @136
   IF ~~ THEN REPLY @137 GOTO E101SLUG
   IF ~~ THEN REPLY @138 GOTO E103
END

IF ~~ THEN BEGIN E101SMILE
   SAY @139
   IF ~~ THEN REPLY @140 GOTO E101VOICE
   IF ~~ THEN REPLY @141 GOTO E103
   IF ~~ THEN REPLY @142 GOTO E103
   IF ~~ THEN REPLY @143 GOTO E101SLUG
END

IF ~~ THEN BEGIN E101VOICE
   SAY @144
   IF ~~ THEN REPLY @145 GOTO E101FLIRT
   IF ~~ THEN REPLY @146 GOTO E103
   IF ~~ THEN REPLY @147 GOTO E101SLUG
END

IF ~~ THEN BEGIN E101FLIRT
   SAY @148
   IF ~~ THEN REPLY @149 GOTO E103
   IF ~~ THEN REPLY @150 GOTO E103
   IF ~~ THEN REPLY @151 GOTO E103
END

IF ~~ THEN BEGIN E102
   SAY @152
   IF ~~ THEN REPLY @153 GOTO E102FAKER
   IF ~~ THEN REPLY @154 GOTO E101SLUG
   IF ~~ THEN REPLY @155 GOTO E103
END

IF ~~ THEN BEGIN E102FAKER
   SAY @156
   IF ~~ THEN REPLY @157 GOTO E101
END

IF ~~ THEN BEGIN E103
   SAY @158
   IF ~~ THEN REPLY @159 GOTO E104
   IF ~~ THEN REPLY @160 GOTO E104
   IF ~~ THEN REPLY @161 GOTO E103CHOICE
END

IF ~~ THEN BEGIN E103CHOICE
   SAY @162
   IF ~~ THEN REPLY @163 GOTO E104
   IF ~~ THEN REPLY @164 GOTO E103NOTRUST
END

IF ~~ THEN BEGIN E103NOTRUST
   SAY @165
   IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN E104
   SAY @166
   IF ~~ THEN REPLY @167 GOTO E104PLANB
   IF ~~ THEN REPLY @168 GOTO E104PLANB
   IF ~~ THEN REPLY @169 GOTO E104PLANB
   IF ~~ THEN REPLY @170 GOTO E104PLANB
END

IF ~~ THEN BEGIN E104PLANB
   SAY @171
   IF ~~ THEN REPLY @172 GOTO E104PLANA
   IF ~~ THEN REPLY @173 GOTO E104PLANA
   IF ~~ THEN REPLY @174 GOTO E104PLANA
END

IF ~~ THEN BEGIN E104PLANA
   SAY @175
   IF ~~ THEN REPLY @176 GOTO E104ISPY
END

IF ~~ THEN BEGIN E104ISPY
   SAY @177
   IF ~~ THEN REPLY @178 GOTO E105
   IF ~~ THEN REPLY @179 GOTO E106
END

IF ~~ THEN BEGIN E105
   SAY @180
   IF ~~ THEN REPLY @181 GOTO E105NOSPY
   IF ~~ THEN REPLY @182 GOTO E105NOSPY
   IF ~~ THEN REPLY @183 GOTO E105NOSPY
END

IF ~~ THEN BEGIN E105NOSPY
   SAY @184
   IF ~~ THEN REPLY @185 GOTO E105TRICK
   IF ~~ THEN REPLY @186 GOTO E105TRICK
   IF ~~ THEN REPLY @187 GOTO E105TRICK
END

IF ~~ THEN BEGIN E105TRICK
   SAY @188
   IF ~~ THEN REPLY @189 GOTO E105TRICK2
   IF ~~ THEN REPLY @190 GOTO E105TRICK2
   IF ~~ THEN REPLY @191 GOTO E105TRICK2
END

IF ~~ THEN BEGIN E105TRICK2
   SAY @192
   IF ~~ THEN REPLY @193 GOTO E105DEKKIE
END

IF ~~ THEN BEGIN E105DEKKIE
   SAY @194
   IF ~~ THEN REPLY @195 GOTO E105DEKKIEPLANS
   IF ~~ THEN REPLY @196 GOTO E105DEKKIEPLANS
   IF ~~ THEN REPLY @197 GOTO E105DEKKIEPLANS
END

IF ~~ THEN BEGIN E105DEKKIEPLANS
   SAY @198
   IF ~~ THEN REPLY @199 GOTO E105HATE
   IF ~~ THEN REPLY @200 GOTO E105HATE
   IF ~~ THEN REPLY @201 GOTO E105HATE
END

IF ~~ THEN BEGIN E105HATE
   SAY @202
   IF ~~ THEN REPLY @203 GOTO E107
   IF ~~ THEN REPLY @204 GOTO E107
   IF ~~ THEN REPLY @205 GOTO E108
   IF ~~ THEN REPLY @206 GOTO E109
END

IF ~~ THEN BEGIN E106
   SAY @207
   IF ~~ THEN REPLY @208 GOTO E106STALKER
   IF ~~ THEN REPLY @209 GOTO E106STALKER
   IF ~~ THEN REPLY @210 GOTO E103NOTRUST
END

IF ~~ THEN BEGIN E106STALKER
   SAY @211
   IF ~~ THEN REPLY @212 GOTO E105
   IF ~~ THEN REPLY @213 GOTO E105
END

IF ~~ THEN BEGIN E107
   SAY @214
   IF ~~ THEN REPLY @215 GOTO E107MUSH
END

IF ~~ THEN BEGIN E107MUSH
   SAY @216
   IF ~~ THEN REPLY @217 GOTO E107MUSH2
END

IF ~~ THEN BEGIN E107MUSH2
   SAY @218
   IF ~~ THEN REPLY @219 GOTO E107MUSH3
   IF ~~ THEN REPLY @220 GOTO E107MUSH3
   IF ~~ THEN REPLY @221 GOTO E107MUSH3
END

IF ~~ THEN BEGIN E107MUSH3
   SAY @222
   IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN E108
   SAY @223
   IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN E109
   SAY @224
IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)LeaveParty() Attack(Player1)~ EXIT
END

///Edwin Lovetalk 18 (Condition, party resting)
IF WEIGHT #-83 ~Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",36) Gender("Edwin",MALE) !StateCheck(Player1,STATE_SLEEPING)~
THEN BEGIN E110
   SAY @225
   IF ~~ THEN REPLY @226 GOTO E110WAKEUP
   IF ~~ THEN REPLY @227 GOTO E110WAKEUP
   IF ~~ THEN REPLY @228 GOTO E110WAKEUP
END

IF ~~ THEN BEGIN E110WAKEUP
   SAY @229
   IF ~~ THEN REPLY @230 GOTO E111
   IF ~~ THEN REPLY @231 GOTO E111
   IF ~~ THEN REPLY @232 GOTO E111
   IF ~~ THEN REPLY @233 GOTO E111
   IF ~~ THEN REPLY @234 GOTO E111
END

IF ~~ THEN BEGIN E111
   SAY @235
   IF ~~ THEN REPLY @236 GOTO E111DEATH
   IF ~~ THEN REPLY @237 GOTO E111DEATH
   IF ~~ THEN REPLY @238 GOTO E111STOOPID
   IF ~~ THEN REPLY @239 GOTO E111DEATH
   IF ~~ THEN REPLY @240 GOTO E111DEATH
END

IF ~~ THEN BEGIN E111STOOPID
   SAY @241
   IF ~~ THEN REPLY @242 GOTO E111SENSE
   IF ~~ THEN REPLY @243 GOTO E111SENSE
   IF ~~ THEN REPLY @244 GOTO E111SENSE
   IF ~~ THEN REPLY @245 GOTO E111SENSE
END

IF ~~ THEN BEGIN E111SENSE
   SAY @246
   IF ~~ THEN GOTO E111DEATH
END

IF ~~ THEN BEGIN E111DEATH
   SAY @247
   IF ~~ THEN REPLY @248 GOTO E112
   IF ~~ THEN REPLY @249 GOTO E112
   IF ~~ THEN REPLY @250 GOTO E112
   IF ~~ THEN REPLY @251 GOTO E112
END

IF ~~ THEN BEGIN E112
   SAY @252
   IF ~~ THEN REPLY @253 GOTO E113
   IF ~~ THEN REPLY @254 GOTO E113
   IF ~~ THEN REPLY @255 GOTO E113
END

IF ~~ THEN BEGIN E113
   SAY @256
   IF ~~ THEN REPLY @257 GOTO E114
   IF ~~ THEN REPLY @258 GOTO E115
   IF ~~ THEN REPLY @259 GOTO E116
   IF ~~ THEN REPLY @260 GOTO E114
   IF ~~ THEN REPLY @261 GOTO E116
END

IF ~~ THEN BEGIN E114
   SAY @262
   IF ~~ THEN REPLY @263 GOTO E114CONCUBINE
   IF ~~ THEN REPLY @264 GOTO E114CONCUBINE
   IF ~~ THEN REPLY @265 GOTO E117
   IF ~~ THEN REPLY @266 GOTO E118
END

IF ~~ THEN BEGIN E114CONCUBINE
   SAY @267
   IF ~~ THEN REPLY @268 GOTO E117
   IF ~~ THEN REPLY @265 GOTO E117
   IF ~~ THEN REPLY @269 GOTO E117
   IF ~~ THEN REPLY @270 GOTO E118
END

IF ~~ THEN BEGIN E115
   SAY @271
   IF ~~ THEN REPLY @272 GOTO E115FEEBLE
   IF ~~ THEN REPLY @265 GOTO E117
   IF ~~ THEN REPLY @269 GOTO E117
   IF ~~ THEN REPLY @273 GOTO E118
END

IF ~~ THEN BEGIN E115FEEBLE
   SAY @274
   IF ~~ THEN REPLY @275 GOTO E117
   IF ~~ THEN REPLY @276 GOTO E117
   IF ~~ THEN REPLY @277 GOTO E118
END

IF ~~ THEN BEGIN E116
   SAY @278
   IF ~~ THEN REPLY @279 GOTO E116STONE
   IF ~~ THEN REPLY @280 GOTO E116STONE
   IF ~~ THEN REPLY @281 GOTO E117
   IF ~~ THEN REPLY @282 GOTO E118
END

IF ~~ THEN BEGIN E116STONE
   SAY @283
   IF ~~ THEN REPLY @284 GOTO E116SHY
   IF ~~ THEN REPLY @285 GOTO E118
   IF ~~ THEN REPLY @286 GOTO E117
END

IF ~~ THEN BEGIN E116SHY
   SAY @287
   IF ~~ THEN REPLY @288 GOTO E116SEXED
   IF ~~ THEN REPLY @289 GOTO E116SEXED
   IF ~~ THEN REPLY @290 GOTO E116SEXED
END

IF ~~ THEN BEGIN E116SEXED
   SAY @291
   IF ~~ THEN REPLY @292 GOTO E117
   IF ~~ THEN REPLY @293 GOTO E118
   IF ~~ THEN REPLY @294 GOTO E116PROOF
   IF ~~ THEN REPLY @295 GOTO E118
END

IF ~~ THEN BEGIN E116PROOF
   SAY @296
   IF ~~ THEN REPLY @297 GOTO E118
   IF ~~ THEN REPLY @298 GOTO E117
   IF ~~ THEN REPLY @299 GOTO E118
END

IF ~~ THEN BEGIN E117
   SAY @300
   IF ~~ THEN REPLY @301 GOTO E117TRUTH
END

IF ~~ THEN BEGIN E117TRUTH
   SAY @302
   IF ~~ THEN GOTO E117FEEL
END

IF ~~ THEN BEGIN E117FEEL
   SAY @303
   IF ~~ THEN GOTO E117ENCHANT
END

IF ~~ THEN BEGIN E117ENCHANT
   SAY @304
   IF ~~ THEN GOTO E117TORMENT
END

IF ~~ THEN BEGIN E117TORMENT
   SAY @305
   IF ~~ THEN REPLY @306 GOTO E119
   IF ~~ THEN REPLY @307 GOTO E119
   IF ~~ THEN REPLY @308 GOTO E119
   IF ~~ THEN REPLY @309 GOTO E120
   IF ~~ THEN REPLY @310 GOTO E121
END

IF ~~ THEN BEGIN E118
   SAY @311
   IF ~~ THEN GOTO E118GLORY
END

IF ~~ THEN BEGIN E118GLORY
   SAY @312
   IF ~~ THEN DO
   ~SetGlobal("EdwinNightTogether","GLOBAL",1) RestParty()~
   EXIT
END

IF ~~ THEN BEGIN E119
   SAY @313
   IF ~~ THEN GOTO E118
END

IF ~~ THEN BEGIN E120
   SAY @314
IF ~~ THEN DO ~
           SetGlobal("EdwinRomanceActive","GLOBAL",3)
           RestParty()~
           EXIT
END

IF ~~ THEN BEGIN E121
   SAY @315
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("EdwinRomanceActive","GLOBAL",3)
	EscapeArea()
        RestParty()~
	EXIT
END

///Edwin Lovetalk 19 (Condition, waking up after Lovetalk 18)
IF WEIGHT #-82 ~Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",38) Gender("Edwin",MALE) Global("EdwinNightTogether","GLOBAL",1) !StateCheck(Player1,STATE_SLEEPING)~
THEN BEGIN E122
   SAY @316
   IF ~~ THEN REPLY @317 GOTO E123
   IF ~~ THEN REPLY @318 GOTO E124
   IF ~~ THEN REPLY @319 GOTO E125
   IF ~~ THEN REPLY @320 GOTO E126
END

IF ~~ THEN BEGIN E123
   SAY @321
   IF ~~ THEN REPLY @322 GOTO E123GOOD
   IF ~~ THEN REPLY @323 GOTO E123GOOD
   IF ~~ THEN REPLY @324 GOTO E123GOOD
END

IF ~~ THEN BEGIN E123GOOD
   SAY @325
   IF ~~ THEN REPLY @326 GOTO E123SHY
END

IF ~~ THEN BEGIN E123SHY
   SAY @327
   IF ~~ THEN REPLY @328 GOTO E127
   IF ~~ THEN REPLY @329 GOTO E127
   IF ~~ THEN REPLY @330 GOTO E128
END

IF ~~ THEN BEGIN E124
   SAY @331
   IF ~~ THEN REPLY @332 GOTO E124PRETEND
   IF ~~ THEN REPLY @333 GOTO E127
   IF ~~ THEN REPLY @334 GOTO E128
END

IF ~~ THEN BEGIN E124PRETEND
   SAY @335
   IF ~~ THEN REPLY @336 GOTO E124LYING
   IF ~~ THEN REPLY @337 GOTO E127
   IF ~~ THEN REPLY @338 GOTO E128
END

IF ~~ THEN BEGIN E124LYING
   SAY @339
   IF ~~ THEN REPLY @340 GOTO E124CURSE
   IF ~~ THEN REPLY @341 GOTO E127
   IF ~~ THEN REPLY @342 GOTO E128
END

IF ~~ THEN BEGIN E124CURSE
   SAY @343
   IF ~~ THEN REPLY @344 GOTO E127
   IF ~~ THEN REPLY @345 GOTO E128
END

IF ~~ THEN BEGIN E125
   SAY @346
   IF ~~ THEN REPLY @347 GOTO E125ZOMBIE
   IF ~~ THEN REPLY @348 GOTO E127
END

IF ~~ THEN BEGIN E125ZOMBIE
   SAY @349
   IF ~~ THEN REPLY @350 GOTO E125HARPY
   IF ~~ THEN REPLY @351 GOTO E125KISS
   IF ~~ THEN REPLY @352 GOTO E126
END

IF ~~ THEN BEGIN E125HARPY
   SAY @353
   IF ~~ THEN REPLY @354 GOTO E125SLIME
   IF ~~ THEN REPLY @355 GOTO E125SLIME
   IF ~~ THEN REPLY @356 GOTO E126
END

IF ~~ THEN BEGIN E125SLIME
   SAY @357
   IF ~~ THEN REPLY @358 GOTO E127
   IF ~~ THEN REPLY @359 GOTO E125RANCID
   IF ~~ THEN REPLY @360 GOTO E125KISS
END

IF ~~ THEN BEGIN E125RANCID
   SAY @361
   IF ~~ THEN REPLY @362 GOTO E125NONSENSE
   IF ~~ THEN REPLY @363 GOTO E125KISS
   IF ~~ THEN REPLY @364 GOTO E127
END

IF ~~ THEN BEGIN E125NONSENSE
   SAY @365
   IF ~~ THEN REPLY @366 GOTO E127
   IF ~~ THEN REPLY @367 GOTO E128
END

IF ~~ THEN BEGIN E125KISS
   SAY @368
   IF ~~ THEN REPLY @369 GOTO E127
   IF ~~ THEN REPLY @370 GOTO E128
END

IF ~~ THEN BEGIN E126
   SAY @371
   IF ~~ THEN REPLY @372 GOTO E126LIAR
   IF ~~ THEN REPLY @373 GOTO E125KISS
   IF ~~ THEN REPLY @374 GOTO E128
END

IF ~~ THEN BEGIN E126LIAR
   SAY @375
   IF ~~ THEN REPLY @376 GOTO E127
   IF ~~ THEN REPLY @377 GOTO E127
   IF ~~ THEN REPLY @378 GOTO E128
END

IF ~~ THEN BEGIN E127
   SAY @379
   IF ~~ THEN GOTO E127DRAINED
END

IF ~~ THEN BEGIN E127DRAINED
   SAY @380
   IF ~~ THEN REPLY @381 GOTO E127FAIR
END

IF ~~ THEN BEGIN E127FAIR
   SAY @382
   IF ~~ THEN REPLY @383 GOTO E127BUSTED
   IF ~~ THEN REPLY @384 GOTO E127BUSTED
END

IF ~~ THEN BEGIN E127BUSTED
   SAY @385
   IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN E128
   SAY @386
   IF ~~ THEN REPLY @387 GOTO E127
   IF ~~ THEN REPLY @388 GOTO E129
END

IF ~~ THEN BEGIN E129
   SAY @389
IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)~ EXIT
END

///Edwin Lovetalk 20
IF WEIGHT #-81 ~Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",40) Gender("Edwin",MALE) !StateCheck(Player1,STATE_SLEEPING) Global("EdwinTerl","GLOBAL",0)~
THEN BEGIN E130
   SAY @390
   IF ~~ THEN REPLY @391 GOTO E131
END

IF ~~ THEN BEGIN E131
   SAY @392
   IF ~~ THEN REPLY @393 GOTO E132
   IF ~~ THEN REPLY @394 GOTO E132
   IF ~~ THEN REPLY @395 GOTO E132
   IF ~~ THEN REPLY @396 GOTO E133
END

IF ~~ THEN BEGIN E132
   SAY @397
   IF ~~ THEN REPLY @398 GOTO E134
   IF ~~ THEN REPLY @399 GOTO E134
   IF ~~ THEN REPLY @400 GOTO E134
   IF ~~ THEN REPLY @401 GOTO E134
   IF ~~ THEN REPLY @402 GOTO E134
END

IF ~~ THEN BEGIN E133
   SAY @403
   IF ~~ THEN GOTO E132
END

IF ~~ THEN BEGIN E134
   SAY @404
   IF ~~ THEN REPLY @405 GOTO E135
   IF ~~ THEN REPLY @406 GOTO E135
   IF ~~ THEN REPLY @407 GOTO E135
   IF ~~ THEN REPLY @408 GOTO E135
END

IF ~~ THEN BEGIN E135
   SAY @409
   IF ~~ THEN REPLY @410 GOTO E136
   IF ~~ THEN REPLY @411 GOTO E137
   IF ~~ THEN REPLY @412 GOTO E138
   IF ~~ THEN REPLY @413 GOTO E138
   IF ~~ THEN REPLY @414 GOTO E138
END

IF ~~ THEN BEGIN E136
   SAY @415
   IF ~~ THEN REPLY @416 GOTO E139
   IF ~~ THEN REPLY @417 GOTO E139
END

IF ~~ THEN BEGIN E137
   SAY @418
   IF ~~ THEN REPLY @419 GOTO E140
   IF ~~ THEN REPLY @420 GOTO E140
END

IF ~~ THEN BEGIN E138
   SAY @421
   IF ~~ THEN REPLY @422 GOTO E141
   IF ~~ THEN REPLY @423 GOTO E141
   IF ~~ THEN REPLY @424 GOTO E141
   IF ~~ THEN REPLY @425 GOTO E141
   IF ~~ THEN REPLY @426 GOTO E141
END

IF ~~ THEN BEGIN E139
   SAY @427
   IF ~~ THEN GOTO E141
END

IF ~~ THEN BEGIN E140
   SAY @428
   IF ~~ THEN GOTO E141
END

IF ~~ THEN BEGIN E141
   SAY @429
   IF ~~ THEN REPLY @430 GOTO E142
END

IF ~~ THEN BEGIN E142
   SAY @431
   IF ~~ THEN GOTO E143
END

IF ~~ THEN BEGIN E143
   SAY  @432
   IF ~~ THEN REPLY @433 GOTO E144
END

IF ~~ THEN BEGIN E144
   SAY @434
   IF ~~ THEN GOTO E145
END

IF ~~ THEN BEGIN E145
   SAY @435
   IF ~~ THEN GOTO E146
END

IF ~~ THEN BEGIN E146
   SAY @436
   IF ~~ THEN REPLY @437 GOTO E147
   IF ~~ THEN REPLY @438 GOTO E147
   IF ~~ THEN REPLY @439 GOTO E148
   IF ~~ THEN REPLY @440 GOTO E149
   IF ~~ THEN REPLY @441 GOTO E150
END

IF ~~ THEN BEGIN E147
   SAY @442
//Add Lock of Hair
IF ~~ THEN DO ~GiveItemCreate("edhair",Player1,0,0,0)~ EXIT
END

IF ~~ THEN BEGIN E148
   SAY @443
///Add Lock of Hair
IF ~~ THEN DO ~GiveItemCreate("edhair",Player1,0,0,0)~ EXIT
END

IF ~~ THEN BEGIN E149
   SAY @444
IF ~~ THEN DO ~SetGlobal("EdwinRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN E150
   SAY @445
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("EdwinRomanceActive","GLOBAL",3)
	EscapeArea()~ EXIT
END

///Edwin Lovetalk 21   /* after Terl */
IF WEIGHT #-80 ~Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",42) Gender("Edwin",MALE) !StateCheck(Player1,STATE_SLEEPING)~
THEN BEGIN E151
   SAY @446
   IF ~~ THEN REPLY @447 GOTO E152
END

IF ~~ THEN BEGIN E152
   SAY @448
   IF ~~ THEN REPLY @449 GOTO E153
   IF ~~ THEN REPLY @450 GOTO E153
END

IF ~~ THEN BEGIN E153
   SAY @451
   IF ~~ THEN REPLY @301 GOTO E154
END

IF ~~ THEN BEGIN E154
   SAY @452
   IF ~~ THEN GOTO E155
END

IF ~~ THEN BEGIN E155
   SAY @453
   IF ~~ THEN REPLY @454 GOTO E156
   IF ~~ THEN REPLY @455 GOTO E156
   IF ~~ THEN REPLY @456 GOTO E156
END

IF ~~ THEN BEGIN E156
   SAY @457
   IF ~~ GOTO E157
END

IF ~~ THEN BEGIN E157
   SAY @458
   IF ~~ THEN REPLY @459 GOTO E158
   IF ~~ THEN REPLY @460 GOTO E158
   IF ~~ THEN REPLY @461 GOTO E159
   IF ~~ THEN REPLY @462 GOTO E159
   IF ~~ THEN REPLY @463 GOTO E160
   IF ~~ THEN REPLY @464 GOTO E159
END

IF ~~ THEN BEGIN E158
   SAY @465
   IF ~~ THEN REPLY @466 GOTO E159
   IF ~~ THEN REPLY @467 GOTO E160
END

IF ~~ THEN BEGIN E159
   SAY @468
   IF ~~ THEN DO ~SetGlobalTimer("MeetingWithDekaras","GLOBAL",TWO_DAYS) SetGlobal("DekkieLetter","GLOBAL",1)~
   UNSOLVED_JOURNAL @469 EXIT
END

IF ~~ THEN BEGIN E160
   SAY @470
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("EdwinRomanceActive","GLOBAL",3)
	LeaveParty()
	EscapeArea()~ SOLVED_JOURNAL @471 EXIT
END

//Edwin LT 25
IF WEIGHT #-79 ~Global("BeginEdElDek","LOCALS",0) Global("EdwinMatch","GLOBAL",1) Global("EdwinLoveTalk","LOCALS",44) Gender("Edwin",MALE) !StateCheck(Player1,STATE_SLEEPING)~ E161
  SAY @496
  ++ @497 + E162
  ++ @498 + E162
  ++ @499 + E162
  ++ @500 + E162
  ++ @501 + E162
END

IF ~~ E162
  SAY @502
  ++ @503 + E163
END

IF ~~ E163
  SAY @504
  ++ @505 + E164
END

IF ~~ E164
  SAY @506
  IF ~~ DO ~SetGlobal("BeginEdElDek","LOCALS",1)
		ClearAllActions()
   		StartCutSceneMode()
   		StartCutScene("ermother")~ EXIT
END
//Once the Mother has left:
IF WEIGHT #-100 ~Global("BeginEdElDek","LOCALS",2)~ E165
  SAY @513
  ++ @514 DO ~SetGlobal("BeginEdElDek","LOCALS",3)~ + E166
END

IF ~~ E166
  SAY @515
  IF ~~ EXIT
END

END

APPEND BANOMEN
IF ~~ THEN BEGIN ANOMEN_LEAVES
   SAY @472
   IF ~~ THEN DO ~
        GivePartyAllEquipment()
	SetGlobal("AnomenRomanceActive","GLOBAL",3)
	LeaveParty()
	EscapeArea()
        Wait(5)~ EXTERN BEDWIN AFTER_ANO  //Anomen leaves. EDWIN :I said, I could kiss you right now <CHARNAME>!
END

IF ~~ THEN BEGIN ANOMEN_STAYS
   SAY @473
   IF ~~ THEN DO ~
   SetGlobal("AnomenRomanceActive","GLOBAL",3)~ EXTERN BEDWIN AFTER_ANO  //Anomen stays EDWIN :I said, I could kiss you right now <CHARNAME>!
END
END


/*~~~~~~~~~~~~~~~~~ANOMEN VS EDWIN INSULT CHAINS~~~~~~~~~~~~~~~~~~~~~*/


CHAIN BANOMEN EDDIE_ANO3
      @474
== BEDWIN
      @475
== BANOMEN
      @476
== BEDWIN
      @477
== BANOMEN
      @478
== BEDWIN
      @479
== BANOMEN
      @480
=
     @481
== BEDWIN
     @482
=
     @483
END BEDWIN E97

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~EDWIN TERL CHAIN ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

CHAIN BEDWIN EdwinTerlChain
   @484
== TERL02
   @485
== BEDWIN
   @486
== TERL02
   @487
== BEDWIN
   @488
== TERL02
   @489
== BEDWIN
   @490
== TERL02
   @491
=
  @492
== BEDWIN
  @493
== TERL02
  @494
== BEDWIN
  @495
END TERL02 ERTerl2

// Mother Arrival Chain

CHAIN
IF WEIGHT #-100 ~Global("BeginEdElDek","LOCALS",1)~
THEN BEDWIN EdwinMotherChain
  @507 DO ~SetGlobal("BeginEdElDek","LOCALS",2)~
== ERELVIRA
  @508
== DEKARAS4
  @509
== BEDWIN
  @510
== ERELVIRA
  @511
== BEDWIN
  @512
END ERELVIRA ELVIRA1
